Subject: Re: bug#60555: 29.0.50; Some clarification is needed about "smaller" and "larger" Tree-sitter nodes
From: Daniel Martín <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Jan 2023 12:38:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> 
>> My main confusion happened after reading this sentence:
>> 
>>   We talk about a node being “smaller” or “larger”, and “lower” or
>> “higher”.
>> 
>> That made me think there are two different dimensions we classify nodes:
>> "Size", that is, if the node is small or large, and "height", that is,
>> if it is low or high.  I was hoping to learn the differences between
>> "size" and "height" in the rest of the text, but the text didn't make it
>> clear to me because it only talks about "smaller and lower" and "larger
>> and higher".  What about "smaller and higher", or "larger and lower"?
>> Are they possible at all?  After reading everything, I got the idea that
>> the terms may actually be synonyms, but I was not 100% sure.  I feel we
>> could make this more clear from the start.
>> 
>> All of this is my perspective as a non-native English speaker.  Hope
>> this helps.
>
> Thanks, I've now reworded that text, please take a look.

Thanks, the text is now clearer to me.  I'm closing the bug.